figure(network_map)
axes(network_component)

centrality=zeros(A,1);
for k=1:A
    if components(k,3)==component_nr
        [Distances,path,pred]=graphshortestpath(SN,k,'method','BFS','directed','false');
        m=0;
        c=0;
        for l=1:A
            if Distances(l)<inf && Distances(l)>0
                m=m+1;
                c=c+Distances(l);
            end
        end
        centrality(k)=m/c;
    end
end
c_max=max(centrality);

l=0;
clear closeness_centrality
for k=1:A
    if components(k,3)==component_nr
        l=l+1;
        closeness_centrality(l,1)=M(k,1);
        closeness_centrality(l,2)=centrality(k);
    end
end
closeness_centrality

sh='Closeness center ID: ';
for k=1:A
    if components(k,3)==component_nr && centrality(k)==c_max
        set(cnodes(k),'color','g','markersize',30);
        ID=num2str(M(k,1));
        sh(length(sh)+1:length(sh)+length(ID))=ID;
        sh(length(sh)+1:length(sh)+2)=', ';
    end
end
sh=sh(1:length(sh)-2);
figure(spec_fig)
set(analyse_field,'string',sh)