figure(network_map)
axes(network_component)
cla
axes(network)
cla
clear nodes
clear edges

set(hide_name,'enable','off');
set(see_edges,'enable','off');
set(see_edges,'string','Hide edges')
set(analyse_field,'enable','on')
set(analyse_field,'string','')

component_chosen=0;
printed=zeros(A,1);

if sites_only==0
    Dist=zeros(A,A);
    N_old=N;
    N=zeros(A,A);
    TN=zeros(A,A);
    PN=zeros(A,A);
    TWN=zeros(A,A);
    CN=zeros(A,A);
    dphase=zeros(A,A);
    dphase_eq=zeros(A,A);
    x_component=zeros(A,A);
    y_component=zeros(A,A);
    trueangle=zeros(A,A);
    
    TP=M(:,6)+(M(:,5)-M(:,6))/2;
    for j=1:A
        if TP(j)==175.5;
            TP(j)=-1;
        end
    end

    for j=1:A
        for k=1:j-1
            m=0;
            if ((M(j,5)>=M(k,5)&&M(j,6)<=M(k,5))||(M(j,5)>=M(k,6)&&M(j,6)<=M(k,6)))&&M(j,5)>-1&&M(k,5)>-1
                TN(j,k)=1;
                D(1)=0;
            else
                D(1)=1;
            end
            if ((TP(j)+W>=TP(k)+W&&TP(j)-W<=TP(k)+W)||(TP(j)+W>=TP(k)-W&&TP(j)-W<=TP(k)-W))&&TP(j)>-1&&TP(k)>-1
                TWN(j,k)=1;
            end
        
            D(2:B-7)=M(j,7:B-2)-M(k,7:B-2);
            
            if M(j,24)>=M(k,23) && M(j,23)<=M(k,24) && M(j,23)>-1 && M(k,23)>-1
                PN(j,k)=1;
                D(B-6)=0;
            else
                D(B-6)=1;
            end
            
            for l=1:B-6
                if D(l)+disregard(l)==0 && M(j,l+5)>-1 && M(k,l+5)>-1
                    m=m+1;
                end
            end
            CN(j,k)=m;
            %--------------------------------------------------------------
            %Correction for those variables for which two different values
            %are allowed in a given context (function, size category and
            %shape).
            %--------------------------------------------------------------
            if ((M(j,11)==M(k,12) && M(j,11)>-1) || (M(j,12)==M(k,11) && M(j,12)>-1)) && M(j,11)~=M(k,11) && M(j,12)~=M(k,12)
                CN(j,k)=m+1;
            end
            if M(j,11)==M(k,11) && M(j,12)==M(k,12) && M(j,11)>-1 && M(j,12)>-1
                CN(j,k)=m-1;
            end
            if ((M(j,13)==M(k,14) && M(j,13)>-1) || (M(j,14)==M(k,13) && M(j,14)>-1)) && M(j,13)~=M(k,13) && M(j,14)~=M(k,14)
                CN(j,k)=m+1;
            end
            if M(j,13)==M(k,13) && M(j,14)==M(k,14) && M(j,13)>-1 && M(j,14)>-1
                CN(j,k)=m-1;
            end
            if ((M(j,16)==M(k,17) && M(j,16)>-1) || (M(j,17)==M(k,16) && M(j,17)>-1)) && M(j,16)~=M(k,16) && M(j,17)~=M(k,17)
                CN(j,k)=m+1;
            end
            if M(j,16)==M(k,16) && M(j,17)==M(k,17) && M(j,16)>-1 && M(j,17)>-1
                CN(j,k)=m-1;
            end
        
            if abs(M(j,7)-M(k,7))<=dphase_max && M(j,7)>-1 && M(k,7)>-1
                dphase(j,k)=1;
            end
            
            if abs(M(j,7)-M(k,7))==dphase_val && M(j,7)>-1 && M(k,7)>-1
                dphase_eq(j,k)=1;
                if (M(j,3)-M(k,3))^2+(M(j,4)-M(k,4))^2>1000
                    trueangle(j,k)=1;
                    if M(j,7)>M(k,7)
                        x_component(j,k)=M(k,3)-M(j,3);
                        y_component(j,k)=M(k,4)-M(j,4);
                    else
                        x_component(j,k)=M(j,3)-M(k,3);
                        y_component(j,k)=M(j,4)-M(k,4);
                    end
                end
            end
            
            if sqrt((M(j,3)-M(k,3))^2+(M(j,4)-M(k,4))^2)<1000*D_max
                Dist(j,k)=1;
            end
        end
    end

    %----------------------------------------------------------------------
    %Contexts j and k are connected according to the instruction-string ss
    %----------------------------------------------------------------------
    for j=1:A
        for k=1:j-1
            if eval(ss)
                N(j,k)=1;
            end
        end
    end
    
    for j=1:A
        for k=1:A
            if N(j,k)>0
                edges(j,k)=line([M(j,3) M(k,3)],[M(j,4) M(k,4)],'visible','on','color','k');
            end
        end
    end  
                
    for k=1:A
        if sum(N(k,:))+sum(N(:,k))>0
            nodes(k)=line('color','k','marker','.','markersize',20, ...
                'xdata',M(k,3),'ydata',M(k,4));
        else
            nodes(k)=line('color','k','marker','o','markersize',5, ...
                'xdata',M(k,3),'ydata',M(k,4));
        end
    end
    
    set(network_specification,'string',s)
    
    %----------------------------------------------------------------------
    %The ID:s of the nodes that are connected to at least one other node
    %(the members of the network) are printed to the Matlab command window 
    %----------------------------------------------------------------------
    clear members
    members=0;
    l=1;
    for k=1:A
        if sum(N(k,:))+sum(N(:,k))>0
            members(l)=M(k,1);
            l=l+1;
        end
    end
    members=members'
    
    %----------------------------------------------------------------------
    %The properties of the constructed network N is analyzed in the below
    %file
    %----------------------------------------------------------------------
    network_properties
    
    %----------------------------------------------------------------------
    %The results - network measures and distributions - are shown in a
    %separate window.
    %----------------------------------------------------------------------
    figure(res_fig)
    result_figure
    
    figure(spec_fig)
    set(see_edges,'enable','on')
    set(view_name,'enable','on')
    % The edges of the networks are visible as default
    v_edges=1;
    set(see_edges,'string','Hide edges')

else
    for k=1:A
        nodes(k)=line('color','k','marker','.','markersize',20, ...
            'xdata',M(k,3),'ydata',M(k,4));
    end
    set(network_specification,'string','')
    figure(spec_fig)
    set(view_name,'enable','on')
    set(see_edges,'string','View edges','enable','off')
end

