clear xx
clear yy
hold off

x=-0.0436;
y=-0.0547;
r_significant=0.1106;
r_median=0.0526;
r=sqrt(x^2+y^2);

k_max=1000;
for k=0:k_max
    xx(k+1)=cos(2*pi*k/k_max);
    yy(k+1)=sin(2*pi*k/k_max);
end
plot(xx,yy,'k')

hold on
xxx=xx*r_median/r_significant;
yyy=yy*r_median/r_significant;
plot(xxx,yyy,'k')

resultant=line([0 x/r_significant],[0 y/r_significant]);
set(resultant,'linewidth',3)
if r>=r_significant
    set(resultant,'color','r')
end
if r<r_significant && r>=r_median
    set(resultant,'color','b')
end
if r<r_median
    set(resultant,'color','y')
end
axis('square')
axis([-1.5 1.5 -1.5 1.5])
set(gca,'xtick',[],'ytick',[],'xcolor','w','ycolor','w');
    