figure(res_fig)

axes(component_axes)
cla
set(component_axes,'visible','on')
bar(component_dist)
xlabel('Component number')
ylabel('Component size')
title('Component size distribution')

set(r3t,'visible','on')
r3=uicontrol(res_fig,'style','text','units','normalized','horizontalalignment','left', ...
        'pos',[0.75 0.64 0.2 0.03],'backgroundc','w','string',num2str(CG),'fonts',10);
    
set(r7t,'visible','on')
r7=uicontrol(res_fig,'style','text','units','normalized','horizontalalignment','left', ...
        'pos',[0.75 0.61 0.2 0.03],'backgroundc','w','string',num2str(mean_path_length),'fonts',10);
    
set(r8t,'visible','on')
r8=uicontrol(res_fig,'style','text','units','normalized','horizontalalignment','left', ...
        'pos',[0.75 0.58 0.2 0.03],'backgroundc','w','string',num2str(Diameter),'fonts',10);
    
if no_dist==0    
    axes(degree_axes)
    cla
    set(degree_axes,'visible','on')
    bar([1:1:max(degree)],H)
    axis([0 max(degree)+1 0 max(H)+1])
    xlabel('Degree')
    ylabel('Number of nodes')
    title('Degree distribution F')

   % axes(tail_axes)
   % cla
   % set(tail_axes,'visible','on')
   % clear x
   % clear y
   % y=log(IH);
   % x=log([1:length(IH)]);
   % plot(x,y,'ko')
   % hold on
   % plot(x,y,'k')
   % hold off
   % xlabel('Log(Degree+1)')
   % ylabel('Log(Cumulative F)')
   % title('Log-log plot of F')
   % axis([0 4 1 6])
else
    set(degree_axes,'visible','off')
    %set(tail_axes,'visible','off')
end

%axes(length_axes)
%cla
%set(length_axes,'visible','on')
%plot([0:10:4000],1-cddd,'--')
%hold on
%axis([0 2000 0 1])
%plot([0:10:4000],1-cnddd,'k')
%hold off
%xlabel('Edge length (km)')
%ylabel('Cumulative dist.')
%title('Edge length distribution')
%set(length_axes,'ytick',[0 1])

axes(edge_axes)
cla
set(edge_axes,'visible','on')
x=edgebin_length*[1:L]/1000;
loglog(x,cad,'ko')
hold on
loglog(x,rcad)
hold off
a=get(edge_axes,'ylim');
%axis([0 4000 0.05 10])
%axis([0 2000 a(1) a(2)])
xlabel('Edge length (km)')
title('Cumulative edge realization ratio')
