axes(simulate_axes)
cla

set(yeartext,'visible','off')
set(yearcounter,'visible','off')

for j=1:L
    if sum(V(j,4,:))>0
        line('color','r','marker','.','markersize',20, ...
        'xdata',site_coordinates(j,1),'ydata',site_coordinates(j,2));
    end
end

for j=1:L
    for k=1:L
        for time=1:t_max
            if sum(edges(j,k,1:2,time))+edges(j,k,4,time)>0
                line([site_coordinates(j,1) site_coordinates(k,1)], ...
                    [site_coordinates(j,2) site_coordinates(k,2)], ...
                    'visible','on','color','r');
            end
        end
    end
end