%--------------------------------------------------------------------------
%Calculates the median edge length "elength" for a given network (matrix N)
%if the variable do_edgelengths is set to one, and calculates the length
%"vlength" of the resultant diffusion vector (x,y) if do_directions is set
%to one. The network N must first be created within the program
%Brick_networks. Note that in the mode do_edgelengths=1, you must choose
%whether to include edgelenghts of length zero (see line 38).
%--------------------------------------------------------------------------

T_old1=225;
T_new1=125;
T_old2=125;
T_new2=25;

Matrix_truepositions
sites
descriptions

% Questionable contexts are excluded in the final data_base matrix M, and
% has to be erased from the matrix M_raw read from the file M_test2.m.
%--------------------------------------------------------------------------
A_raw=length(M_raw(:,1));
j=0;
for k=1:A_raw
    if M_raw(k,2)==0
        j=j+1;
        M(j,:)=M_raw(k,:);
        site_names(j)=site_names_raw(k);
        Descriptions(j)=Descriptions_raw(k);
    end
end
A=length(M(:,1));

count=0;
x=0;
y=0;
for j=1:A
    for k=1:A
        if (M(j,7)<=T_old1 & M(j,7)>=T_new1) && (M(k,7)<=T_old2 & M(k,7)>=T_new2)
            if (M(j,3)-M(k,3))^2+(M(j,4)-M(k,4))^2>1000
                count=count+1;
                x_component=M(k,3)-M(j,3);
                y_component=M(k,4)-M(j,4);
                vl=sqrt(x_component^2+y_component^2);
                vx=x_component/vl;
                vy=y_component/vl;
                x=x+vx;
                y=y+vy;
            end
        end
    end
end
x_comp=x/count
y_comp=y/count
vlength=sqrt(x^2+y^2)/count
count
   