id=str2num(id_string);
clear sn
figure(info_fig)
id_row=0;
for k=1:A
    if M(k,1)==id
        id_row=k;
        sn=site_names{k};
        set(descriptions_text,'string',Descriptions{k})
        if printed(k)==0
          figure(network_map)
          site_texts(k)=text(M(k,3),M(k,4),site_names(k),'verticalalignment','bottom');
          printed(k)=1;
          nodes(k)=line('color','k','marker','.','markersize',20, ...
            'xdata',M(k,3),'ydata',M(k,4));
          set(hide_name,'enable','on');
          figure(info_fig)
        end
    end
end
if id_row>0
    name=sn;
    sn(length(sn)+1:length(sn)+2)=': ';
    for l=1:A
        if length(site_names{l})==length(name)
            if site_names{l}==name
                ID=num2str(M(l,1));
                sn(length(sn)+1:length(sn)+length(ID))=ID;
                sn(length(sn)+1:length(sn)+2)=', ';
            end
        end
    end
    sn=sn(1:length(sn)-2);
    set(ID_printed,'string',sn)
    

    read='';
    resp='';
    if M(id_row,5)>-1 && M(id_row,6)>-1
        resp=num2str(M(id_row,5));
        resp(length(resp)+1:length(resp)+3)=' - ';
        read=num2str(M(id_row,6));
        resp(length(resp)+1:length(resp)+length(read))=read;
    else
        resp='-';
    end
    set(time_response,'string',resp)

    resp='';
    if M(id_row,7)>-1
        resp=num2str(M(id_row,7));
    else
        resp='-';
    end
    set(phase_response,'string',resp)
    
    resp='';
    if M(id_row,8)==1
        resp='Casing';
    elseif M(id_row,8)==2
        resp='Masonry';
    elseif M(id_row,8)==3
        resp='Pavement';
    else
        resp='-';
    end
    set(structural_use_response,'string',resp)
    
    resp='';
    if M(id_row,9)==1
        resp='Commercial';
    elseif M(id_row,9)==2
        resp='Domestic';
    elseif M(id_row,9)==3
        resp='Manufacture';
    elseif M(id_row,9)==4
        resp='Military';
    elseif M(id_row,9)==5
        resp='Public';
    elseif M(id_row,9)==6
        resp='Sacred';
    elseif M(id_row,9)==7
        resp='Sepulchral';
    else
        resp='-';
    end
    set(context_response,'string',resp)

    resp='';
    if M(id_row,10)==0
        resp='No';
    elseif M(id_row,10)==1
        resp='Yes';
    else
        resp='-';
    end    
    set(poorly_fired_response,'string',resp)
    
    resp='';
    if M(id_row,11)==1
        resp='Circle sectors';
    elseif M(id_row,11)==2
        resp='Circular';
    elseif M(id_row,11)==3
        resp='Curved';
    elseif M(id_row,11)==4
        resp='Grooved';
    elseif M(id_row,11)==5
        resp='Imbrex';
    elseif M(id_row,11)==6
        resp='Pierced circular';
    elseif M(id_row,11)==7
        resp='Rectangular';
    elseif M(id_row,11)==8
        resp='Semicircular';
    elseif M(id_row,11)==9
        resp='Square';
    elseif M(id_row,11)==10
        resp='Tegula';
    elseif M(id_row,11)==11
        resp='Triangular';
    elseif M(id_row,11)==12
        resp='Voussoir';
    else
        resp='-';
    end
    set(shape1_response,'string',resp)
    
    resp='';
    if M(id_row,12)==1
        resp='Circle sectors';
    elseif M(id_row,12)==2
        resp='Circular';
    elseif M(id_row,12)==3
        resp='Curved';
    elseif M(id_row,12)==4
        resp='Grooved';
    elseif M(id_row,12)==5
        resp='Imbrex';
    elseif M(id_row,12)==6
        resp='Pierced circular';
    elseif M(id_row,12)==7
        resp='Rectangular';
    elseif M(id_row,12)==8
        resp='Semicircular';
    elseif M(id_row,12)==9
        resp='Square';
    elseif M(id_row,12)==10
        resp='Tegula';
    elseif M(id_row,12)==11
        resp='Triangular';
    elseif M(id_row,12)==12
        resp='Voussoir';
    else
        resp='-';
    end
    set(shape2_response,'string',resp)
    
    resp='';
    if M(id_row,13)==1
        resp='Lydion';
    elseif M(id_row,13)==2
        resp='Pentadoron';
    elseif M(id_row,13)==3
        resp='Sesquipedalis';
    elseif M(id_row,13)==4
        resp='Tetradoron';
    else
        resp='-';
    end
    set(size_category1_response,'string',resp)
    
    resp='';
    if M(id_row,14)==1
        resp='Lydion';
    elseif M(id_row,14)==2
        resp='Pentadoron';
    elseif M(id_row,14)==3
        resp='Sesquipedalis';
    elseif M(id_row,14)==4
        resp='Tetradoron';
    else
        resp='-';
    end
    set(size_category2_response,'string',resp)
    
    read='';
    resp='';
    if M(id_row,23)>-1 && M(id_row,24)>-1
        resp=num2str(M(id_row,23));
        resp(length(resp)+1:length(resp)+3)=' - ';
        read=num2str(M(id_row,24));
        resp(length(resp)+1:length(resp)+length(read))=read;
    else
        resp='-';
    end
    set(thickness_response,'string',resp)
    
    resp='';
    if M(id_row,15)==0
        resp='No';
    elseif M(id_row,15)==1
        resp='Yes';
    else
        resp='-';
    end    
    set(tile_bricks_response,'string',resp)
    
    resp='';
    if M(id_row,16)==1
        resp='Arch';
    elseif M(id_row,16)==2
        resp='Basin';
    elseif M(id_row,16)==3
        resp='Barrell vault';
    elseif M(id_row,16)==4
        resp='Bench';
    elseif M(id_row,16)==5
        resp='Bonding courses';
    elseif M(id_row,16)==6
        resp='Cist';
    elseif M(id_row,16)==7
        resp='Column';
    elseif M(id_row,16)==8
        resp='Courtyard';
    elseif M(id_row,16)==9
        resp='Cover';
    elseif M(id_row,16)==10
        resp='Door frame';
    elseif M(id_row,16)==11
        resp='Floor';
    elseif M(id_row,16)==12
        resp='Foundation';
    elseif M(id_row,16)==13
        resp='Half-column';
    elseif M(id_row,16)==14
        resp='Hypocaust';
    elseif M(id_row,16)==15
        resp='Inner wall';
    elseif M(id_row,16)==16
        resp='Niche cover';
    elseif M(id_row,16)==17
        resp='Pillar';
    elseif M(id_row,16)==18
        resp='Pillar base';
    elseif M(id_row,16)==19
        resp='Quoin';
    elseif M(id_row,16)==20
        resp='Street';
    elseif M(id_row,16)==21
        resp='Terrace wall';
    elseif M(id_row,16)==22
        resp='Underground wall';
    elseif M(id_row,16)==23
        resp='Upper wall';
    elseif M(id_row,16)==24
        resp='Wall';
    elseif M(id_row,16)==25
        resp='Wall socle';
    elseif M(id_row,16)==26
        resp='Water channel';
    elseif M(id_row,16)==27
        resp='Furnace wall';
    else
        resp='-';
    end
    set(function1_response,'string',resp)
    
    resp='';
    if M(id_row,17)==1
        resp='Arch';
    elseif M(id_row,17)==2
        resp='Basin';
    elseif M(id_row,17)==3
        resp='Barrell vault';
    elseif M(id_row,17)==4
        resp='Bench';
    elseif M(id_row,17)==5
        resp='Bonding courses';
    elseif M(id_row,17)==6
        resp='Cist';
    elseif M(id_row,17)==7
        resp='Column';
    elseif M(id_row,17)==8
        resp='Courtyard';
    elseif M(id_row,17)==9
        resp='Cover';
    elseif M(id_row,17)==10
        resp='Door frame';
    elseif M(id_row,17)==11
        resp='Floor';
    elseif M(id_row,17)==12
        resp='Foundation';
    elseif M(id_row,17)==13
        resp='Half-column';
    elseif M(id_row,17)==14
        resp='Hypocaust';
    elseif M(id_row,17)==15
        resp='Inner wall';
    elseif M(id_row,17)==16
        resp='Niche cover';
    elseif M(id_row,17)==17
        resp='Pillar';
    elseif M(id_row,17)==18
        resp='Pillar base';
    elseif M(id_row,17)==19
        resp='Quoin';
    elseif M(id_row,17)==20
        resp='Street';
    elseif M(id_row,17)==21
        resp='Terrace wall';
    elseif M(id_row,17)==22
        resp='Underground wall';
    elseif M(id_row,17)==23
        resp='Upper wall';
    elseif M(id_row,17)==24
        resp='Wall';
    elseif M(id_row,17)==25
        resp='Wall socle';
    elseif M(id_row,17)==26
        resp='Water channel';
    elseif M(id_row,17)==27
        resp='Furnace wall';
    else
        resp='-';
    end
    set(function2_response,'string',resp)
    
    resp='';
    if M(id_row,18)==1
        resp='Brick-faced concrete';
    elseif M(id_row,18)==2
        resp='Imbrices and mud';
    elseif M(id_row,18)==3
        resp='Interlaced brickwork';
    elseif M(id_row,18)==4
        resp='One-stone brickwork';
    elseif M(id_row,18)==5
        resp='Mixed materials';
    elseif M(id_row,18)==6
        resp='Solid brickwork';
    else
        resp='-';
    end
    set(structure_response,'string',resp)
    
    resp='';
    if M(id_row,19)==1
        resp='Clay mortar';
    elseif M(id_row,19)==2
        resp='Mortar';
    elseif M(id_row,19)==3
        resp='No mortar';
    elseif M(id_row,19)==4
        resp='Timber bindings';
    else
        resp='-';
    end
    set(binding_response,'string',resp)
    
    resp='';
    if M(id_row,20)==0
        resp='No';
    elseif M(id_row,20)==1
        resp='Yes';
    else
        resp='-';
    end    
    set(plaster_response,'string',resp)
    
    resp='';
    if M(id_row,21)==0
        resp='No';
    elseif M(id_row,21)==1
        resp='Yes';
    else
        resp='-';
    end    
    set(mud_bricks_response,'string',resp)
    
    resp='';
    if M(id_row,22)==0
        resp='No';
    elseif M(id_row,22)==1
        resp='Yes';
    else
        resp='-';
    end    
    set(stamp_response,'string',resp)
    
else
    set(ID_printed,'string','Questionable context, or no context with this ID')
    set(descriptions_text,'string','')
    set(time_response,'string','')
    set(phase_response,'string','')
    set(structural_use_response,'string','')
    set(context_response,'string','')
    set(function1_response,'string','')
    set(function2_response,'string','')
    set(structure_response,'string','')
    set(binding_response,'string','')
    set(shape1_response,'string','')
    set(shape2_response,'string','')
    set(size_category1_response,'string','')
    set(size_category2_response,'string','')
    set(thickness_response,'string','')
    set(poorly_fired_response,'string','')
    set(tile_bricks_response,'string','')
    set(plaster_response,'string','')
    set(mud_bricks_response,'string','')
    set(stamp_response,'string','')
end
    






