site_pos
M_old=M;
do_directions=0;
do_edgelengths=1;
mix_all=1;

extreme_l=0;
extreme_d=0;
for q=1:3000
    q
    clear RTN
    RTN=zeros(A,A);
    
    %----------------------------------------------------------------------
    %If mix_all=0, a random database is created where all contexts located
    %at a given site are moved together to another random site
    %----------------------------------------------------------------------
    if mix_all==0
        spos=site_positions(:,2:3);
        LSP=length(site_positions)
        for k=1:LSP
            j=1+floor(rand*(LSP-k+1));
            for m=1:A
                if M(m,25)==k
                    M(m,3:4)=spos(j,:);
                end
            end
            spos_old=spos;
            spos(1:j-1,:)=spos_old(1:j-1,:);
            spos(j:A-k,:)=spos_old(j+1:A-k+1,:);
        end
    end
            
    %----------------------------------------------------------------------
    %If mix_all=1, a random database is created where each context is moved
    %a new random site. Thus two contexts that originally belong the
    %same site may happen to be placed at different sites
    %----------------------------------------------------------------------
    if mix_all==1
        rpos=M(:,3:4);
        for k=1:A
            j=1+floor(rand*(A-k+1));
            M(k,3:4)=rpos(j,:);
            rpos_old=rpos;
            rpos(1:j-1,:)=rpos_old(1:j-1,:);
            rpos(j:A-k,:)=rpos_old(j+1:A-k+1,:);
        end
    end
    
    Dist=zeros(A,A);
    N=zeros(A,A);
    TN=zeros(A,A);
    PN=zeros(A,A);
    TWN=zeros(A,A);
    CN=zeros(A,A);
    dphase=zeros(A,A);
    dphase_eq=zeros(A,A);
    x_component=zeros(A,A);
    y_component=zeros(A,A);
    trueangle=zeros(A,A);
    
    TP=M(:,6)+(M(:,5)-M(:,6))/2;
    for j=1:A
        if TP(j)==175.5;
            TP(j)=-1;
        end
    end

    for j=1:A
        for k=1:j-1
            m=0;
            if ((M(j,5)>=M(k,5)&&M(j,6)<=M(k,5))||(M(j,5)>=M(k,6)&&M(j,6)<=M(k,6)))&&M(j,5)>-1&&M(k,5)>-1
                TN(j,k)=1;
                D(1)=0;
            else
                D(1)=1;
            end
            if ((TP(j)+W>=TP(k)+W&&TP(j)-W<=TP(k)+W)||(TP(j)+W>=TP(k)-W&&TP(j)-W<=TP(k)-W))&&TP(j)>-1&&TP(k)>-1
                TWN(j,k)=1;
            end
        
            D(2:B-7)=M(j,7:B-2)-M(k,7:B-2);
            
            if M(j,24)>=M(k,23) && M(j,23)<=M(k,24) && M(j,23)>-1 && M(k,23)>-1
                PN(j,k)=1;
                D(B-6)=0;
            else
                D(B-6)=1;
            end
            
            for l=1:B-6
                if D(l)+disregard(l)==0 && M(j,l+5)>-1 && M(k,l+5)>-1
                    m=m+1;
                end
            end
            CN(j,k)=m;
            %--------------------------------------------------------------
            %Correction for those variables for which two different values
            %are allowed in a given context (function, size category and
            %shape).
            %--------------------------------------------------------------
            if ((M(j,11)==M(k,12) && M(j,11)>-1) || (M(j,12)==M(k,11) && M(j,12)>-1)) && M(j,11)~=M(k,11) && M(j,12)~=M(k,12)
                CN(j,k)=m+1;
            end
            if M(j,11)==M(k,11) && M(j,12)==M(k,12) && M(j,11)>-1 && M(j,12)>-1
                CN(j,k)=m-1;
            end
            if ((M(j,13)==M(k,14) && M(j,13)>-1) || (M(j,14)==M(k,13) && M(j,14)>-1)) && M(j,13)~=M(k,13) && M(j,14)~=M(k,14)
                CN(j,k)=m+1;
            end
            if M(j,13)==M(k,13) && M(j,14)==M(k,14) && M(j,13)>-1 && M(j,14)>-1
                CN(j,k)=m-1;
            end
            if ((M(j,16)==M(k,17) && M(j,16)>-1) || (M(j,17)==M(k,16) && M(j,17)>-1)) && M(j,16)~=M(k,16) && M(j,17)~=M(k,17)
                CN(j,k)=m+1;
            end
            if M(j,16)==M(k,16) && M(j,17)==M(k,17) && M(j,16)>-1 && M(j,17)>-1
                CN(j,k)=m-1;
            end
        
            if abs(M(j,7)-M(k,7))<=dphase_max && M(j,7)>-1 && M(k,7)>-1
                dphase(j,k)=1;
            end
            
            if abs(M(j,7)-M(k,7))==dphase_val && M(j,7)>-1 && M(k,7)>-1
                dphase_eq(j,k)=1;
                if (M(j,3)-M(k,3))^2+(M(j,4)-M(k,4))^2>1000
                    trueangle(j,k)=1;
                    if M(j,7)>M(k,7)
                        x_component(j,k)=M(k,3)-M(j,3);
                        y_component(j,k)=M(k,4)-M(j,4);
                    else
                        x_component(j,k)=M(j,3)-M(k,3);
                        y_component(j,k)=M(j,4)-M(k,4);
                    end
                end
            end
            
            if sqrt((M(j,3)-M(k,3))^2+(M(j,4)-M(k,4))^2)<1000*D_max
                Dist(j,k)=1;
            end
        end
    end

    %----------------------------------------------------------------------
    %Contexts j and k are connected according to the instruction-string ss
    %----------------------------------------------------------------------
    for j=1:A
        for k=1:j-1
            if M(j,7)<=200&&M(k,7)<=200&&M(j,7)>=100&&M(k,7)>=100&&(dphase_eq(j,k)==1)&&(M(j,8)==M(k,8)&&M(j,8)==2)&&(CN(j,k)>=5)
                N(j,k)=1;
            end
        end
    end
    
    if do_directions==1
        x=0;
        y=0;
        count=0;
        for j=1:A
            for k=1:A
                if trueangle(j,k)==1 && N(j,k)==1
                    count=count+1;
                    vl=sqrt(x_component(j,k)^2+y_component(j,k)^2);
                    vx=x_component(j,k)/vl;
                    vy=y_component(j,k)/vl;
                    x=x+vx;
                    y=y+vy;
                end
            end
        end
        random_vlength(q)=sqrt(x^2+y^2)/count;
        
        if random_vlength(q)>vlength
            extreme_d=extreme_d+1;
        end
        significance(q)=extreme_d/q;
    end
    
    if do_edgelengths==1
    
        L=sum(sum(N));
        edgelengths=zeros(L);
      
        count=0;
        for j=1:A
            for k=1:j-1
                if N(j,k)==1
                    count=count+1;
                    edgelengths(count)=(M(j,3)-M(k,3))^2+(M(j,4)-M(k,4))^2
                end
            end
        end
        sorted_lengths=sort(edgelengths);
        if mod(L,2)==0
            random_elength(q)=(sorted_lengths(L/2)+sorted_lengths(L/2+1))/2;
        else
            random_elength(q)=sorted_lengths(floor(L/2)+1);
        end
            
        if random_elength(q)<elength
            extreme_l=extreme_l+1;
        end
        significance(q)=extreme_l/q;
        
    end
    

end
M=M_old;