clear pdf
clear LL

h=hist(random_elength,[0:0.05:15]*100000);
[i j]=max(h);
%L0=0+(j-1)*0.05;
L0=6.80;

a=i;
b=1.2;
L=elength/100000;
%L=truelength(13)/100000;
dRL=0.0001;
nr_realizations=10000;

%y=a*exp(-b*(L-L0)^2);
a=exp(5.65);
p=0;
for RL=0:dRL:L
    p=p+dRL*a*exp(-b*(RL-L0)^2);
end
pr=0;

count=1;
for RL=0:dRL:L0
    pr=pr+dRL*a*exp(-b*(RL-L0)^2);
    pdf(count)=a*exp(-b*(RL-L0)^2);
    LL(count)=RL*100000;
    count=count+1;
end
p_value=p*sum(h(1:j-1))/(nr_realizations*pr)
maximum_likelihood_length=[(j-1)*0.05 j*0.05]

hold off
plot([0:0.05:15]*100000,log(h),'o')
hold on
plot(LL,log(pdf))
axis([000000 1500000 0 7])
drawnow

