% cd \\staff.ht.lu.se\matf-pos$\Documents\Tegel\matlabfiler

load albania
load bulgaria
load greece
load italy
load turkey
load yugoslavia


p=get(0,'ScreenSize');
POS=[p(1)+0.05*p(3) p(2)+0.1*p(4) 0.9*p(3) 0.8*p(4)];
D_screen=figure('NumberTitle','off','Name', ...
         'Fired brick networks','position',POS,'units','normalized', ...
         'resize','on','color','w');
   
hold on     
mapshow(albania)
mapshow(bulgaria)
mapshow(greece)
mapshow(italy)
mapshow(turkey)
mapshow(yugoslavia)

map=gca;
%set(map,'xtick',[],'ytick',[],'xcolor','w','ycolor','w')
%set(map,'xcolor','w','ycolor','w')
%p=get(map,'position');
xl=get(map,'xlim');
yl=get(map,'ylim');
ratio=0.9*p(3)*(yl(2)-yl(1))/(0.8*p(4)*(xl(2)-xl(1)));
%lp=0;
lp=0.05;
w=1-2*lp;
set(map,'position',[lp 0.5-ratio*w/2 w ratio*w])
set(map,'color',[1 1 1])


M_test;
A=length(M(:,1));

for k=1:A
        line('color','k','marker','.','markersize',20, ...
            'xdata',M(k,2),'ydata',M(k,3));
end


